%define debug_package %{nil}


Summary:	Erlang syslog interface
Name:		erlang-syslog
Version:	1.0
Release:	2%{?dist}
Group:		Development/Libraries
License:	ERPL
URL:		http://www.erlang.org/user.html#syslog-1.0
Source:		http://www.erlang.org/contrib/syslog-1.0.tgz
BuildRequires:	erlang
Requires:	erlang
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
Library that gives possibility to Erlang programs to
send messages using system syslog facility.


%prep
%setup -q -n syslog-%{version}


%build
erlc syslog.erl


%install
rm -rf $RPM_BUILD_ROOT
install -D -m 644 syslog.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/syslog-%{version}/ebin/syslog.beam


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%dir %{_libdir}/erlang/lib/syslog-%{version}
%dir %{_libdir}/erlang/lib/syslog-%{version}/ebin
%{_libdir}/erlang/lib/syslog-%{version}/ebin/syslog.beam


%changelog
* Mon May  4 2009 Peter Lemenkov <lemenkov@gmail.com> 1.0-2
- Get rid of unnecessary source files

* Mon Oct 27 2008 Peter Lemenkov <lemenkov@gmail.com> 1.0-1
- Initial spec file
